<template>
  <div class="transactionHistory tabs__Page">
    <LeftBlock class="block block__without-pad">

      <table class="flip-table">

        <thead class="flip-table__head">
        <tr class="thead__row">
          <td class="thead__dir">Limit type</td>
          <td class="thead__dir">Amount/period</td>
          <td class="thead__dir">Status</td>
          <td class="thead__dir">Expiration date</td>
        </tr>
        </thead>


        <tbody class="flip-table__body">
        <tr class="tbody__row" v-for="item in getItems" :key="item.id">
          <td class="tbody__dir font-strong limit">{{ item.limit }}</td>
          <td class="tbody__dir">{{ item.period }}</td>
          <td class="tbody__dir font-strong">
            <a
              href="#"
              class="tbody__dir__link"
              v-bind:class='{ colorGreen: item.color === 1, colorYellow: item.color === 2, colorRed: item.color === 3}'
            >
              {{ item.status }}
            </a>
          </td>
          <td class="tbody__dir font-strong">{{ item.Expiration }}</td>
        </tr>
        </tbody>
      </table>
    </LeftBlock>
    <div class="pagination__block">
    </div>
    <RightBlock class="block">
      <AccInfo></AccInfo>
    </RightBlock>
  </div>
</template>

<script>
	import LeftBlock from "@/components/Account/LeftBlock";
	import RightBlock from "@/components/Account/RightBlock";
	import AccInfo from "@/components/Account/elements/accountInfo/AccInfo";

	export default {
		name: "ResponsibleGaming",
		data() {
			return {
				parPage: 8,
				currentPage: 1,
				items: [
					{dataType: 'type-1', limit: 'Deposit limit', period: '12  € / day', color: 1, status: 'Active', Expiration: 'No expiration'},
					{dataType: 'type-1', limit: 'Wagering limit', period: 'No limit', color: 2, status: 'Cancelation pending', Expiration: 'No expiration'},
					{dataType: 'type-2', limit: 'Session time ', period: '12  € / month', color: 3, status: 'Inactive', Expiration: 'No expiration'},
					{dataType: 'type-1', limit: 'Loss limit', period: '12  € / day', color: 1, status: 'Active', Expiration: 'No expiration'},
					{dataType: 'type-2', limit: 'Self-exclusion', period: 'No limit', color: 2, status: 'Cancelation pending', Expiration: 'No expiration'},
					{dataType: 'type-2', limit: 'Cool off', period: '11 month', color: 3, status: 'Inactive', Expiration: 'No expiration'}
				],
			}
		},

		methods: {
			clickCallback: function (pageNum) {
				this.currentPage = Number(pageNum);
			}
		},

		computed: {
			getItems() {
				let current = this.currentPage * this.parPage;
				let start = current - this.parPage;
				return this.items.slice(start, current);
			},
			getPageCount() {
				return Math.ceil(this.items.length / this.parPage);
			}
		},

		components: {
			LeftBlock,
			RightBlock,
			AccInfo,

		}
	}
</script>

<style lang="sass" scoped>
  $colorGreen: #86C339
  $colorYellow: #FFC000
  $colorRed: #F13F35

  // -------------------------------------------------------------------------------------->   Flip Table

  .flip-table
    flex-direction: column
    display: flex

    // ------------------------------------------------------>   Flip Table HEAD

    &__head
      font-weight: 500
      color: black

      &:before
        content: ''
        position: absolute
        width: 100%
        height: 45px
        top: 0
        left: 0
        background: rgba(222, 222, 222, 0.4)

      // ------------------------------------------------------>   HEAD row

      .thead__row
        height: 45px
        display: flex
        justify-content: space-around

        &:after
          content: ''
          position: absolute
          width: 100%
          height: 1px
          background: rgb(227, 228, 229)
          transform: translateY(44px)
          left: 0

        // ------------------------------------------------------>   HEAD dir

        .thead__dir
          position: relative
          width: 25%
          font-weight: 500
          display: flex
          justify-content: center
          align-items: center

          &:after
            content: ''
            position: absolute
            width: 1px
            height: 46px
            background: rgb(222, 222, 222)
            right: 0

          &:last-child
            &:after
              display: none

    // ------------------------------------------------------>   Flip Table BODY

    &__body
      position: relative
      font-size: 14px
      color: #000521

      // ------------------------------------------------------>   BODY row

      .tbody__row
        position: relative
        height: 55px
        display: flex
        justify-content: space-around

        &:before
          content: ''
          position: absolute
          width: 110%
          height: 1px
          background: rgba(0, 0, 0, 0.02)
          transform: translate(-50px, 54px)
          left: 0
          pointer-events: none

        &:after
          content: ''
          position: absolute
          width: 0%
          height: 0px
          background: rgba(255, 128, 14, .2)
          transform: translate(20%, 28px)
          left: 0
          pointer-events: none
          z-index: 0
          transition: height .4s ease-in-out, transform .4s ease-in-out, background .3s ease-in-out, width .5s ease-in-out

        &:hover
          &:after
            height: 55px
            width: 100%
            transform: translate(0%, 0px)
            background: rgba(0, 0, 0, 0.02)
            transition: height .3s ease-out, transform .3s ease-out, background .5s ease-out, width .4s ease-out

        // ------------------------------------------------------>   BODY dir

        .tbody__dir
          width: 25%
          display: flex
          justify-content: center
          align-items: center
          text-align: center

          &.font-strong
            font-weight: 600

          .tbody__dir__link
            &.colorGreen
              color: $colorGreen

            &.colorYellow
              color: $colorYellow

            &.colorRed
              color: $colorRed

          &.limit
            color: black
            transition: .3s ease-out
            cursor: pointer
            &:hover
              font-size: 18px
              transform: translate(10px, 0px)

  // -------------------------------------------------------------------------------------->   End Table

</style>
